<?php
session_start();

if (!defined('webid')) {
    exit();
}
if (!isset($_SESSION["username"]) && !isset($_SESSION["password"])) {
    ?>
	<script type="text/javascript">
    hax({url:'/home', id:'flax'});
    </script>
	<?php
	exit();
}

$endday = time() - (86400 * 20);
$wakeprice = 0.03;
$sql = mysql_fetch_array(mysql_query("SELECT count(id) as count FROM tb_users WHERE '$endday' > lastlogdate and referer = '$_SESSION[iduser]' and wake = 0"));
?>
<script type="text/javascript">

function PlanChange() {
    var money = (number_format($('#wakeref').val() * <?=$wakeprice?>, 2, '.', ''));
    $('#summa').html(money);
}

function number_format(number, decimals, dec_point, thousands_sep) {
    var i, j, kw, kd, km;
    if (isNaN(decimals = Math.abs(decimals))) { decimals = 2; }
    if (dec_point == undefined) { dec_point = ","; }
    if (thousands_sep == undefined) { thousands_sep = "."; }
    i = parseInt(number = (+number || 0).toFixed(decimals)) + "";
    if ((j = i.length) > 3) { j = j % 3; } else { j = 0; }
    km = (j ? i.substr(0, j) + thousands_sep : "");
    kw = i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + thousands_sep);
    kd = (decimals ? dec_point + Math.abs(number - i).toFixed(decimals).replace(/-/, 0).slice(2) : "");
    return km + kw + kd;
}

$('#sendwake').click(function(){
    $('#hidewake').css({display : 'block'});
    $.ajax({
        url : 'ajax.php?func=senwake',
        type : 'POST',
        data : "col=" + $('#wakeref').val(),
        success : function(html) {
            if (html == 1) {
                $('#hidewake').css({display : 'none'});
                FLAX.Html.thread['flax'].repeat();
            } else {
                $('#hidewake').css({display : 'none'});
                alert(html);
                FLAX.Html.thread['flax'].repeat();
            }
        }
    });
})
</script>
<h3 style="border-bottom: 1px dotted #cccccc; color: #1c62b9; text-shadow: 0 1px 0 #fafafa;">Разбудить рефералов</h3>
<div class="header-stat">Ваши рефералы давно не заходили? <b>Разбуди...</b> Мы не гарантируем что реферал вернется на проект, но Мы дадим ему знать, что он давно не заходил в свой аккаунт.</div><br />
<? if ($finestatus != '0') {
    echo '
        <div class="alert alert-block alert-error fade in">
            <h4 class="alert-heading">Внимание! На ваш аккаунт наложен штраф!</h4>
            <p>Ваш акаунт частично заблокирован за нарушение правил ('.$fine_text.') Для разблокировки аккаунта, вам необходимо оплатить штраф за нарушение, если вы не согласны с этим, можете покинуть проект, ваш аккаунт будет удален в течение 10 суток.</p>
            <p>
              <a class="btn btn-danger" href="/basket">Оплатить штраф</a> <a class="btn" href="/tos">Правила</a>
            </p>
        </div>';
} else { ?>
<table class='otab' width='100%' border='0' cellpadding='0' cellspacing='1'>
    <thead>
        <th colspan="2" style="padding: 5px; background: #ebebeb;"><span style="color: #212121; font-size: 12px; font-weight: bold; text-shadow: 0 1px 0 #f7f7f7; margin-right: 295px;">Разбудить рефералов</span><span style="position: relative;"><input type="submit" name="save" class="big_btn" value="Отправить" id="sendwake" /></span></th>
    </thead>
    <tr>
        <td class="lt" width="30%">Кол-во рефералов</td>
        <td class="rt"><select class="timeselect" id="wakeref" onchange="PlanChange(); return false;" style="float: left; width: 100px;">
        <?
        for ($i = 1; $i <= $sql['count']; $i++) {
            ?>
                <option value="<?=$i?>"><?=$i?></option>
            <?
        }
        ?>
        </select><div style="position: relative; padding: 5px;"><span id="hidewake" style="display: none; position: absolute; left: 130px;">Отправка сообщений <img src="theme/images/wakeload.gif" width="50" height="6" /></span></div></td>
    </tr>
    <tr>
        <td class="lt">Стоимость рассылки</td>
        <td class="rt"><span style='font-size: 16px;' id="summa"><?=$wakeprice?></span> <?=$sitevalname ?></td>
    </tr>
</table>
<? } ?>